Subject: Re: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 May 2024 20:03:41 +0300

> Date: Sat, 25 May 2024 08:49:22 -0700
> From: Jared Finder <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> 
> >> +@node Window Tool Bar
> >> +@cindex mode, Window Tool Bar
> > 
> > Index entries should preferably use only lower-case letters, to avoid
> > problems with sorting index entries in different locales.
> > 
> > In addition, I would rephrase the above index entry to say just
> > 
> >   @cindex window tool bar
> 
> I don't think that fits in with the existing convention.  The convention 
> appears to be "use mode, Capital Case Name" for specific modes and 
> "mode, lower case" for concepts.  There's 76 other examples of "@cindex 
> mode," in the Emacs manual already, the majority of which follow that 
> convention.
> 
> The only examples I could find not following the convention are: "mode, 
> archive", "mode, tar", "mode, display-fill-column-indicator".

Nevertheless, I stand by what I wrote.  The examples which you quote,
whether they are a few or not, are mistakes: letter-case affects
sorting of index entries in locale-dependent way, so index entries
that us capital letters will appear in a different order in different
locales, which is not a good thing.

> I will try to redescribe it.  I have a typo in the existing description. 
>   Change "all windows" to "each window".  The idea is that each window 
> gets its own tool bar *inside the window*, specifically on the window's 
> tab line.  Ideally I think I would just show a picture (see attached 
> image), but I see very few pictures in any of the Emacs manuals and none 
> of them show up in the HTML output at 
> https://www.gnu.org/software/emacs/manual/, only in the PDF.

I don't think there were images in our manuals in previous versions,
which is why they don't appear in HTML.

Pictures have a disadvantage in that they cannot be displayed on TTY
frames, so a picture that cannot be replaced by some "ASCII art"
generally means the reader on a TTY frame will be at a disadvantage.

I will wait for the next version to see if my questions are now
answered or we need to discuss them further.

Thanks.